[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] In freeze for libvirt-0.9.8 and availability of rc2



Dňa 4.12.2011 9:10, Daniel Veillard  wrote / napísal(a):
   Indeed, the current git head works fine again for me, thanks a lot
for chasing this :-)

   So I made an second release candidate available at:

ftp://libvirt.org/libvirt/libvirt-0.9.8-rc2.tar.gz

along with rpms, I also tagged git with it.
   Hopefully the builds on BSD and Windows should be fixed, it would
be good if it could be tested on OsX and since there was a build done
last month on Android, I wonder if this could be done again [1].

   thanks everybody !

Daniel

[1] maybe we should setup some cross compilation testing like for
     cygwin...


I tried building rc2 on my macbook and build was successful, but I've got a warning on each file built:

cc1: warning: command line option "-Wabi" is valid for C++/ObjC++ but not for C cc1: warning: command line option "-Wdeprecated" is valid for C++/ObjC++ but not for C

Compiler:
Target: i686-apple-darwin10
Configured with: /var/tmp/gcc/gcc-5664~105/src/configure --disable-checking --enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --build=i686-apple-darwin10 --program-prefix=i686-apple-darwin10- --host=x86_64-apple-darwin10 --target=i686-apple-darwin10 --with-gxx-include-dir=/include/c++/4.2.1
Thread model: posix
gcc version 4.2.1 (Apple Inc. build 5664)

I will investigate if we can do something about it, but the RC2 is working fine. (tested on remote and virtualbox)

Peter

P.S.: I didn't manage to squeeze in two PythonAPI bindings Eric said were worthy for 0.9.8, but it probably won't be such a tragedy :).
(I don't have my ssh key on my laptop).


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]